// "Internal" function to return the decoded value of a cookie

//



function getCookieVal (offset) {

  var endstr = document.cookie.indexOf (";", offset);

  if (endstr == -1)

    endstr = document.cookie.length;

  return unescape(document.cookie.substring(offset, endstr));

}

//

//  Function to correct for 2.x Mac date bug.  Call this function to

//  fix a date object prior to passing it to SetCookie.

//  IMPORTANT:  This function should only be called *once* for

//  any given date object!  See example at the end of this document.

//



function FixCookieDate (date) {

  var base = new Date(0);

  var skew = base.getTime(); // dawn of (Unix) time - should be 0

  if (skew > 0)  // Except on the Mac - ahead of its time

    date.setTime (date.getTime() - skew);

}



var expdate = new Date ();

FixCookieDate (expdate); // Correct for Mac date bug - call only once for given Date object!

expdate.setTime (expdate.getTime() + (24 * 60 * 60 * 1000)); // 24 hrs from now 



//

//  Function to create or update a cookie.

//    name - String object containing the cookie name.

//    value - String object containing the cookie value.  May contain

//      any valid string characters.

//    [expires] - Date object containing the expiration data of the cookie.  If

//      omitted or null, expires the cookie at the end of the current session.

//    [path] - String object indicating the path for which the cookie is valid.

//      If omitted or null, uses the path of the calling document.

//    [domain] - String object indicating the domain for which the cookie is

//      valid.  If omitted or null, uses the domain of the calling document.

//    [secure] - Boolean (true/false) value indicating whether cookie transmission

//      requires a secure channel (HTTPS).  

//

//  The first two parameters are required.  The others, if supplied, must

//  be passed in the order listed above.  To omit an unused optional field,

//  use null as a place holder.  For example, to call SetCookie using name,

//  value and path, you would code:

//

//      SetCookie ("myCookieName", "myCookieValue", null, "/");

//

//  Note that trailing omitted parameters do not require a placeholder.

//

//  To set a secure cookie for path "/myPath", that expires after the

//  current session, you might code:

//

//      SetCookie (myCookieVar, cookieValueVar, null, "/myPath", null, true);

//



function SetCookie (name,value,expires,path,domain,secure) {

  document.cookie = name + "=" + escape (value) +

    ((expires) ? "; expires=" + expires.toGMTString() : "") +

    ((path) ? "; path=" + path : "") +

    ((domain) ? "; domain=" + domain : "") +

    ((secure) ? "; secure" : "");

}



//

// Cookie Eula

//   In the top level directory will be a file called

//   start.htm, which contains the text of the End User

//   License Agreement and a button at the bottom of the

//   page for the user to click on to accept it.  The

//   button triggers a javascript call that sets a cookie

//   called 'eula' to remember their acceptance of the

//   agreement and then redirects them to the next page,

//   /content/main.htm.  We can (and will) check for

//   this cookie on the other pages and redirect them back

//   to the EULA page if it is not set.  The code for

//   checking the cookie on the other pages should appear

//   in a shared source file called /content/shared.js.



function eulaAccept () {

  SetCookie ("Eula", "accepted", expdate);

  window.location='content/soutez/maincz.html';

}